import { isENSAddress, isEvmAddress, contractTokensFilter, supportedChainInput } from '../../../lib/validation/validators.js';
import { z } from 'zod';

const verifyOwnershipValidator = z
    .object({
    address: z.union([isENSAddress, isEvmAddress]),
    nfts: contractTokensFilter,
})
    .merge(supportedChainInput)
    .strict();

export { verifyOwnershipValidator };
