import { isENSAddress, isEvmAddress, paginationParams, supportedChainInput } from '../../../lib/validation/validators.js';
import { z } from 'zod';

const balancesByWalletAddressValidator = z
    .object({
    address: z.union([isENSAddress, isEvmAddress]),
})
    .merge(paginationParams)
    .merge(supportedChainInput)
    .strict();

export { balancesByWalletAddressValidator };
